/*
	utility program for the ProWesS loader

	DELENV : delete environment variables (called "Global Variables").
	This program accepts as parameters, the name of the variable (case
	dependent). The -path parameter is skipped if passed.

	written by Joachim Van der Auwera for PROGS
	(c) 1996 by PROGS, Professional & Graphical Software
	started 28 April 1996
*/

#include "str_h"
#include "mem_h"
#include "io_h"
#include "thing_h"

#define catch(x) if (err=(x)) return err; else

#define GLOBAL_NAME "Global Variables"
#define GLOBAL_DELE 0x44454c45	/* "DELE" */

Error init(char *param)
{
	Error err;
	char **params;
	char *name=NULL, *value=NULL;
	int i;

	/* pars the command line parameters */
	catch( STRBreak(param,&params) );
	for ( ; *params ; params++)
	{
		if (STRSameCI("-path",*params))
		{
			if (!*++params) return ERR_OK;
		}
		else
			THINGCall(GLOBAL_NAME,GLOBAL_DELE,1,*params);
	}
	return ERR_OK;
}
